#ifndef _AB_POLLER_V2_HH
#define _AB_POLLER_V2_HH

#include "abng_poller.hh"
//#include "abpoller_v2.hh"
#include "abpoller_i.hh"

class AB_Poller_V2_i: public virtual ABng_Poller::_sk_AB_Poller_V2, public virtual AB_Poller_i
{
   public:
     virtual void get_output(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
     virtual void configure(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, ABng_Poller::AB_Poller_V2::Speed, ABng_Poller::AB_Poller_V2::Stop, ABng_Poller::AB_Poller_V2::Parity, ABng_Poller::AB_Poller::Byte);
     virtual void autodiagnostic(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
     virtual void go_off_line(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
     virtual void broadoff(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
     virtual void sensor_config(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id, ABng_Poller::AB_Poller_V2::Mode);
     virtual void poll(ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id);
};

#endif
