#ifndef _ABOBSERVER_I_HH_
#define _ABOBSERVER_I_HH_

#include "abng_poller.hh"
//#include "abobserver.hh"
#include "sabobserver_i.hh"

class AB_Observer_i: public virtual ABng_Poller::_sk_AB_Observer, public virtual Simple_AB_Observer_i
{
     virtual void sighting(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
			   const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Sighting_Code,
			   const ABng_Poller::AB_Poller::Field_Id&, ABng_Poller::AB_Poller::Byte, ABng_Poller::AB_Poller::Byte,
			   ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void challenge_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
				  const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Octets&,
				  ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void sound_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
			      const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Tones&,
			      ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void set_state_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
				  const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Byte, const ABng_Poller::AB_Poller::Tones&,
				  ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void get_state_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
				  const ABng_Poller::AB_Poller::Badge_Id&, ABng_Poller::AB_Poller::Byte, 
				  ABng_Poller::AB_Poller::Byte, ABng_Poller::AB_Poller::Byte,
				  ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void set_home_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
				 const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Address&,
				 ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void get_home_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
			 const ABng_Poller::AB_Poller::Badge_Id&, const ABng_Poller::AB_Poller::Address&,
			 ABng_Poller::AB_Poller::Seq_Number, const ABng_Poller::AB_Poller::Time_Stamp&);


     virtual void get_station_state_reply(const char*, ABng_Poller::AB_Poller::Network_Id, ABng_Poller::AB_Poller::Station_Id,
					  ABng_Poller::AB_Poller::Byte, ABng_Poller::AB_Poller::Byte, 
					  ABng_Poller::AB_Poller::Byte, ABng_Poller::AB_Poller::Byte,
					  const ABng_Poller::AB_Poller::Time_Stamp&);

     virtual void null_message(const char*, ABng_Poller::AB_Poller::Network_Id,
			       ABng_Poller::AB_Poller::Station_Id, const ABng_Poller::AB_Poller::Time_Stamp&);
};

#endif





