#ifndef __abng_server_manager_hh__
#define __abng_server_manager_hh__

#ifndef USE_omniORB_logStream
#define USE_omniORB_logStream
#endif

#ifndef __CORBA_H_EXTERNAL_GUARD__
#define __CORBA_H_EXTERNAL_GUARD__
#include <omniORB2/CORBA.h>
#endif


#ifdef _LC_attr
#error "A local CPP macro _LC_attr has already been defined."
#else
#ifdef  USE_stub_in_nt_dll
#define _LC_attr _OMNIORB_NTDLL_IMPORT
#else
#define _LC_attr
#endif
#endif


_CORBA_MODULE ABng_Server_Manager

_CORBA_MODULE_BEG

#define ABng_Server_Manager_Server_Still_Active_IntfRepoID "IDL:ABng_Server_Manager/Server_Still_Active:1.0"

  class Server_Still_Active : public CORBA::UserException {
  public:

    
    Server_Still_Active() {};
    Server_Still_Active(const Server_Still_Active &);
    Server_Still_Active & operator=(const Server_Still_Active &);
    virtual ~Server_Still_Active() {};
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Server_Still_Active;

#define ABng_Server_Manager_Unknown_Server_Name_IntfRepoID "IDL:ABng_Server_Manager/Unknown_Server_Name:1.0"

  class Unknown_Server_Name : public CORBA::UserException {
  public:

    
    Unknown_Server_Name() {};
    Unknown_Server_Name(const Unknown_Server_Name &);
    Unknown_Server_Name & operator=(const Unknown_Server_Name &);
    virtual ~Unknown_Server_Name() {};
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Unknown_Server_Name;

#define ABng_Server_Manager_Invalid_Server_Name_IntfRepoID "IDL:ABng_Server_Manager/Invalid_Server_Name:1.0"

  class Invalid_Server_Name : public CORBA::UserException {
  public:

    
    Invalid_Server_Name() {};
    Invalid_Server_Name(const Invalid_Server_Name &);
    Invalid_Server_Name & operator=(const Invalid_Server_Name &);
    virtual ~Invalid_Server_Name() {};
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Invalid_Server_Name;

#define ABng_Server_Manager_Invalid_Server_Reference_IntfRepoID "IDL:ABng_Server_Manager/Invalid_Server_Reference:1.0"

  class Invalid_Server_Reference : public CORBA::UserException {
  public:

    
    Invalid_Server_Reference() {};
    Invalid_Server_Reference(const Invalid_Server_Reference &);
    Invalid_Server_Reference & operator=(const Invalid_Server_Reference &);
    virtual ~Invalid_Server_Reference() {};
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Invalid_Server_Reference;

#ifndef __ABng_Server_Manager_Callback__
#define __ABng_Server_Manager_Callback__
  class   Callback;
  typedef Callback* Callback_ptr;
  typedef Callback_ptr CallbackRef;
  class _proxy_Callback;
  class _sk_Callback;
  class _nil_Callback;

  class Callback_Helper {
    public:
    static Callback_ptr _nil();
    static CORBA::Boolean is_nil(Callback_ptr p);
    static void release(Callback_ptr p);
    static void duplicate(Callback_ptr p);
    static size_t NP_alignedSize(Callback_ptr obj,size_t initialoffset);
    static void marshalObjRef(Callback_ptr obj,NetBufferedStream &s);
    static Callback_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Callback_ptr obj,MemBufferedStream &s);
    static Callback_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Callback,Callback_Helper> Callback_var;

#endif
  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Name;
  typedef _CORBA_Unbounded_Sequence<CORBA::String_member > Name;
  typedef _CORBA_Sequence_Var<Name, CORBA::String_member > Name_var;

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_uid;
  typedef CORBA::ULong uid;
  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_ip_address;
  typedef _CORBA_Unbounded_Sequence__Octet ip_address;
  typedef _CORBA_Sequence_Var<ip_address, CORBA::Octet > ip_address_var;

  struct Time {
    CORBA::Long seconds;
    CORBA::Long microseconds;
    
    size_t NP_alignedSize(size_t initialoffset) const;
    void operator>>= (NetBufferedStream &) const;
    void operator<<= (NetBufferedStream &);
    void operator>>= (MemBufferedStream &) const;
    void operator<<= (MemBufferedStream &);
  };

  typedef _CORBA_ConstrType_Fix_Var<Time> Time_var;

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Time;

#ifndef __ABng_Server_Manager_TimeServer__
#define __ABng_Server_Manager_TimeServer__
  class   TimeServer;
  typedef TimeServer* TimeServer_ptr;
  typedef TimeServer_ptr TimeServerRef;

  class TimeServer_Helper {
    public:
    static TimeServer_ptr _nil();
    static CORBA::Boolean is_nil(TimeServer_ptr p);
    static void release(TimeServer_ptr p);
    static void duplicate(TimeServer_ptr p);
    static size_t NP_alignedSize(TimeServer_ptr obj,size_t initialoffset);
    static void marshalObjRef(TimeServer_ptr obj,NetBufferedStream &s);
    static TimeServer_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(TimeServer_ptr obj,MemBufferedStream &s);
    static TimeServer_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<TimeServer,TimeServer_Helper> TimeServer_var;

#endif
#define ABng_Server_Manager_TimeServer_IntfRepoID "IDL:ABng_Server_Manager/TimeServer:1.0"

  class TimeServer : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual ip_address * get_ip_address (  ) = 0;
    virtual Time  get_current_time (  ) = 0;
    static TimeServer_ptr _duplicate(TimeServer_ptr);
    static TimeServer_ptr _narrow(CORBA::Object_ptr);
    static TimeServer_ptr _nil();

    static inline size_t NP_alignedSize(TimeServer_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Server_Manager_TimeServer_IntfRepoID,39,initialoffset);
    }

    static inline void marshalObjRef(TimeServer_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_TimeServer_IntfRepoID,39,s);
    }

    static inline TimeServer_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_TimeServer_IntfRepoID,s);
      TimeServer_ptr _result = ABng_Server_Manager::TimeServer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(TimeServer_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_TimeServer_IntfRepoID,39,s);
    }

    static inline TimeServer_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_TimeServer_IntfRepoID,s);
      TimeServer_ptr _result = ABng_Server_Manager::TimeServer::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    TimeServer() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Server_Manager_TimeServer_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~TimeServer() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    TimeServer(const TimeServer&);
    TimeServer &operator=(const TimeServer&);
  };

  class _sk_TimeServer :  public virtual TimeServer {
  public:

    _sk_TimeServer() {}
    _sk_TimeServer(const omniORB::objectKey& k);
    virtual ~_sk_TimeServer() {}
    TimeServer_ptr _this() { return TimeServer::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual ip_address * get_ip_address (  ) = 0;
    virtual Time  get_current_time (  ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return TimeServer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_TimeServer (const _sk_TimeServer&);
    _sk_TimeServer &operator=(const _sk_TimeServer&);
  };

  class _proxy_TimeServer :  public virtual TimeServer {
  public:

    _proxy_TimeServer (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Server_Manager_TimeServer_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_TimeServer() {}
    virtual ip_address * get_ip_address (  );
    virtual Time  get_current_time (  );

  protected:

    _proxy_TimeServer () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return TimeServer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_TimeServer (const _proxy_TimeServer&);
    _proxy_TimeServer &operator=(const _proxy_TimeServer&);
  };

  class _nil_TimeServer :   public virtual TimeServer {
  public:
    _nil_TimeServer() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_TimeServer() {}
    ip_address * get_ip_address (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      ip_address * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    Time  get_current_time (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      Time _0RL_result;
memset((void *)&_0RL_result,0,sizeof(_0RL_result));
      return _0RL_result;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return TimeServer::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class TimeServer_proxyObjectFactory : public proxyObjectFactory {
  public:
    TimeServer_proxyObjectFactory () {}
    virtual ~TimeServer_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static TimeServer_ptr _nil() {
      if (!__nil_TimeServer) {
        __nil_TimeServer = new _nil_TimeServer;
      }
      return __nil_TimeServer;
    }
  private:
    static TimeServer_ptr __nil_TimeServer;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_TimeServer;

#ifndef __ABng_Server_Manager_Register__
#define __ABng_Server_Manager_Register__
  class   Register;
  typedef Register* Register_ptr;
  typedef Register_ptr RegisterRef;

  class Register_Helper {
    public:
    static Register_ptr _nil();
    static CORBA::Boolean is_nil(Register_ptr p);
    static void release(Register_ptr p);
    static void duplicate(Register_ptr p);
    static size_t NP_alignedSize(Register_ptr obj,size_t initialoffset);
    static void marshalObjRef(Register_ptr obj,NetBufferedStream &s);
    static Register_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Register_ptr obj,MemBufferedStream &s);
    static Register_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Register,Register_Helper> Register_var;

#endif
#define ABng_Server_Manager_Register_IntfRepoID "IDL:ABng_Server_Manager/Register:1.0"

  class Register :  public virtual TimeServer {
  public:

    virtual uid  register_restricted_callback ( Callback_ptr  callback_object, const Name & server_name ) = 0;
    virtual uid  register_restricted_context_callback ( Callback_ptr  callback_object, const Name & context_name ) = 0;
    virtual void unregister_restricted_callback ( uid  identifier ) = 0;
    static Register_ptr _duplicate(Register_ptr);
    static Register_ptr _narrow(CORBA::Object_ptr);
    static Register_ptr _nil();

    static inline size_t NP_alignedSize(Register_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Server_Manager_Register_IntfRepoID,37,initialoffset);
    }

    static inline void marshalObjRef(Register_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Register_IntfRepoID,37,s);
    }

    static inline Register_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Register_IntfRepoID,s);
      Register_ptr _result = ABng_Server_Manager::Register::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Register_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Register_IntfRepoID,37,s);
    }

    static inline Register_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Register_IntfRepoID,s);
      Register_ptr _result = ABng_Server_Manager::Register::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Register() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Server_Manager_Register_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Register() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Register(const Register&);
    Register &operator=(const Register&);
  };

  class _sk_Register :  public virtual _sk_TimeServer, public virtual Register {
  public:

    _sk_Register() {}
    _sk_Register(const omniORB::objectKey& k);
    virtual ~_sk_Register() {}
    Register_ptr _this() { return Register::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual uid  register_restricted_callback ( Callback_ptr  callback_object, const Name & server_name ) = 0;
    virtual uid  register_restricted_context_callback ( Callback_ptr  callback_object, const Name & context_name ) = 0;
    virtual void unregister_restricted_callback ( uid  identifier ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Register::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Register (const _sk_Register&);
    _sk_Register &operator=(const _sk_Register&);
  };

  class _proxy_Register :  public virtual _proxy_TimeServer, public virtual Register {
  public:

    _proxy_Register (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Server_Manager_Register_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Register() {}
    virtual uid  register_restricted_callback ( Callback_ptr  callback_object, const Name & server_name );
    virtual uid  register_restricted_context_callback ( Callback_ptr  callback_object, const Name & context_name );
    virtual void unregister_restricted_callback ( uid  identifier );

  protected:

    _proxy_Register () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Register::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Register (const _proxy_Register&);
    _proxy_Register &operator=(const _proxy_Register&);
  };

  class _nil_Register :  public virtual _nil_TimeServer,   public virtual Register {
  public:
    _nil_Register() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Register() {}
    uid  register_restricted_callback ( Callback_ptr  callback_object, const Name & server_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      uid _0RL_result = 0;
      return _0RL_result;
#endif
    }

    uid  register_restricted_context_callback ( Callback_ptr  callback_object, const Name & context_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      uid _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void unregister_restricted_callback ( uid  identifier ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Register::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Register_proxyObjectFactory : public proxyObjectFactory {
  public:
    Register_proxyObjectFactory () {}
    virtual ~Register_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Register_ptr _nil() {
      if (!__nil_Register) {
        __nil_Register = new _nil_Register;
      }
      return __nil_Register;
    }
  private:
    static Register_ptr __nil_Register;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Register;

#ifndef __ABng_Server_Manager_Register_Manager__
#define __ABng_Server_Manager_Register_Manager__
  class   Register_Manager;
  typedef Register_Manager* Register_Manager_ptr;
  typedef Register_Manager_ptr Register_ManagerRef;

  class Register_Manager_Helper {
    public:
    static Register_Manager_ptr _nil();
    static CORBA::Boolean is_nil(Register_Manager_ptr p);
    static void release(Register_Manager_ptr p);
    static void duplicate(Register_Manager_ptr p);
    static size_t NP_alignedSize(Register_Manager_ptr obj,size_t initialoffset);
    static void marshalObjRef(Register_Manager_ptr obj,NetBufferedStream &s);
    static Register_Manager_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Register_Manager_ptr obj,MemBufferedStream &s);
    static Register_Manager_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Register_Manager,Register_Manager_Helper> Register_Manager_var;

#endif
#define ABng_Server_Manager_Register_Manager_IntfRepoID "IDL:ABng_Server_Manager/Register_Manager:1.0"

  class Register_Manager : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual Register_ptr  reg ()  = 0;
    virtual uid  register_callback ( Callback_ptr  callback_object, const Name & server_name ) = 0;
    virtual uid  register_context_callback ( Callback_ptr  callback_object, const Name & context_name ) = 0;
    virtual void register_server ( CORBA::Object_ptr  server_reference, const Name & complex_name ) = 0;
    virtual void unregister_server ( const Name & complex_name ) = 0;
    virtual void unregister_callback ( uid  identifier ) = 0;
    static Register_Manager_ptr _duplicate(Register_Manager_ptr);
    static Register_Manager_ptr _narrow(CORBA::Object_ptr);
    static Register_Manager_ptr _nil();

    static inline size_t NP_alignedSize(Register_Manager_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Server_Manager_Register_Manager_IntfRepoID,45,initialoffset);
    }

    static inline void marshalObjRef(Register_Manager_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Register_Manager_IntfRepoID,45,s);
    }

    static inline Register_Manager_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Register_Manager_IntfRepoID,s);
      Register_Manager_ptr _result = ABng_Server_Manager::Register_Manager::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Register_Manager_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Register_Manager_IntfRepoID,45,s);
    }

    static inline Register_Manager_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Register_Manager_IntfRepoID,s);
      Register_Manager_ptr _result = ABng_Server_Manager::Register_Manager::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Register_Manager() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Server_Manager_Register_Manager_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Register_Manager() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Register_Manager(const Register_Manager&);
    Register_Manager &operator=(const Register_Manager&);
  };

  class _sk_Register_Manager :  public virtual Register_Manager {
  public:

    _sk_Register_Manager() {}
    _sk_Register_Manager(const omniORB::objectKey& k);
    virtual ~_sk_Register_Manager() {}
    Register_Manager_ptr _this() { return Register_Manager::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual Register_ptr  reg ()  = 0;
    virtual uid  register_callback ( Callback_ptr  callback_object, const Name & server_name ) = 0;
    virtual uid  register_context_callback ( Callback_ptr  callback_object, const Name & context_name ) = 0;
    virtual void register_server ( CORBA::Object_ptr  server_reference, const Name & complex_name ) = 0;
    virtual void unregister_server ( const Name & complex_name ) = 0;
    virtual void unregister_callback ( uid  identifier ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Register_Manager::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Register_Manager (const _sk_Register_Manager&);
    _sk_Register_Manager &operator=(const _sk_Register_Manager&);
  };

  class _proxy_Register_Manager :  public virtual Register_Manager {
  public:

    _proxy_Register_Manager (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Server_Manager_Register_Manager_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Register_Manager() {}
    virtual Register_ptr  reg () ;
    virtual uid  register_callback ( Callback_ptr  callback_object, const Name & server_name );
    virtual uid  register_context_callback ( Callback_ptr  callback_object, const Name & context_name );
    virtual void register_server ( CORBA::Object_ptr  server_reference, const Name & complex_name );
    virtual void unregister_server ( const Name & complex_name );
    virtual void unregister_callback ( uid  identifier );

  protected:

    _proxy_Register_Manager () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Register_Manager::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Register_Manager (const _proxy_Register_Manager&);
    _proxy_Register_Manager &operator=(const _proxy_Register_Manager&);
  };

  class _nil_Register_Manager :   public virtual Register_Manager {
  public:
    _nil_Register_Manager() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Register_Manager() {}
    Register_ptr  reg ()  {
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      Register_ptr _0RL_result = 0;
      return _0RL_result;
#endif
    }

    uid  register_callback ( Callback_ptr  callback_object, const Name & server_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      uid _0RL_result = 0;
      return _0RL_result;
#endif
    }

    uid  register_context_callback ( Callback_ptr  callback_object, const Name & context_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      uid _0RL_result = 0;
      return _0RL_result;
#endif
    }

    void register_server ( CORBA::Object_ptr  server_reference, const Name & complex_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void unregister_server ( const Name & complex_name ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void unregister_callback ( uid  identifier ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Register_Manager::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Register_Manager_proxyObjectFactory : public proxyObjectFactory {
  public:
    Register_Manager_proxyObjectFactory () {}
    virtual ~Register_Manager_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Register_Manager_ptr _nil() {
      if (!__nil_Register_Manager) {
        __nil_Register_Manager = new _nil_Register_Manager;
      }
      return __nil_Register_Manager;
    }
  private:
    static Register_Manager_ptr __nil_Register_Manager;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Register_Manager;

#ifndef __ABng_Server_Manager_Callback__
#define __ABng_Server_Manager_Callback__
  class   Callback;
  typedef Callback* Callback_ptr;
  typedef Callback_ptr CallbackRef;

  class Callback_Helper {
    public:
    static Callback_ptr _nil();
    static CORBA::Boolean is_nil(Callback_ptr p);
    static void release(Callback_ptr p);
    static void duplicate(Callback_ptr p);
    static size_t NP_alignedSize(Callback_ptr obj,size_t initialoffset);
    static void marshalObjRef(Callback_ptr obj,NetBufferedStream &s);
    static Callback_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(Callback_ptr obj,MemBufferedStream &s);
    static Callback_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<Callback,Callback_Helper> Callback_var;

#endif
#define ABng_Server_Manager_Callback_IntfRepoID "IDL:ABng_Server_Manager/Callback:1.0"

  class Callback : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual void server_startup ( CORBA::Object_ptr  server_reference, const Name & complex_name, uid  callback_id ) = 0;
    virtual void server_shutdown ( const Name & complex_name, uid  callback_id ) = 0;
    static Callback_ptr _duplicate(Callback_ptr);
    static Callback_ptr _narrow(CORBA::Object_ptr);
    static Callback_ptr _nil();

    static inline size_t NP_alignedSize(Callback_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Server_Manager_Callback_IntfRepoID,37,initialoffset);
    }

    static inline void marshalObjRef(Callback_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Callback_IntfRepoID,37,s);
    }

    static inline Callback_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Callback_IntfRepoID,s);
      Callback_ptr _result = ABng_Server_Manager::Callback::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(Callback_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_Callback_IntfRepoID,37,s);
    }

    static inline Callback_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_Callback_IntfRepoID,s);
      Callback_ptr _result = ABng_Server_Manager::Callback::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    Callback() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Server_Manager_Callback_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~Callback() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    Callback(const Callback&);
    Callback &operator=(const Callback&);
  };

  class _sk_Callback :  public virtual Callback {
  public:

    _sk_Callback() {}
    _sk_Callback(const omniORB::objectKey& k);
    virtual ~_sk_Callback() {}
    Callback_ptr _this() { return Callback::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void server_startup ( CORBA::Object_ptr  server_reference, const Name & complex_name, uid  callback_id ) = 0;
    virtual void server_shutdown ( const Name & complex_name, uid  callback_id ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Callback::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_Callback (const _sk_Callback&);
    _sk_Callback &operator=(const _sk_Callback&);
  };

  class _proxy_Callback :  public virtual Callback {
  public:

    _proxy_Callback (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Server_Manager_Callback_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_Callback() {}
    virtual void server_startup ( CORBA::Object_ptr  server_reference, const Name & complex_name, uid  callback_id );
    virtual void server_shutdown ( const Name & complex_name, uid  callback_id );

  protected:

    _proxy_Callback () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return Callback::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_Callback (const _proxy_Callback&);
    _proxy_Callback &operator=(const _proxy_Callback&);
  };

  class _nil_Callback :   public virtual Callback {
  public:
    _nil_Callback() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_Callback() {}
    void server_startup ( CORBA::Object_ptr  server_reference, const Name & complex_name, uid  callback_id ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    void server_shutdown ( const Name & complex_name, uid  callback_id ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return Callback::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class Callback_proxyObjectFactory : public proxyObjectFactory {
  public:
    Callback_proxyObjectFactory () {}
    virtual ~Callback_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static Callback_ptr _nil() {
      if (!__nil_Callback) {
        __nil_Callback = new _nil_Callback;
      }
      return __nil_Callback;
    }
  private:
    static Callback_ptr __nil_Callback;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_Callback;

#ifndef __ABng_Server_Manager_ProcessControl__
#define __ABng_Server_Manager_ProcessControl__
  class   ProcessControl;
  typedef ProcessControl* ProcessControl_ptr;
  typedef ProcessControl_ptr ProcessControlRef;

  class ProcessControl_Helper {
    public:
    static ProcessControl_ptr _nil();
    static CORBA::Boolean is_nil(ProcessControl_ptr p);
    static void release(ProcessControl_ptr p);
    static void duplicate(ProcessControl_ptr p);
    static size_t NP_alignedSize(ProcessControl_ptr obj,size_t initialoffset);
    static void marshalObjRef(ProcessControl_ptr obj,NetBufferedStream &s);
    static ProcessControl_ptr unmarshalObjRef(NetBufferedStream &s);
    static void marshalObjRef(ProcessControl_ptr obj,MemBufferedStream &s);
    static ProcessControl_ptr unmarshalObjRef(MemBufferedStream &s);
  };
  typedef _CORBA_ObjRef_Var<ProcessControl,ProcessControl_Helper> ProcessControl_var;

#endif
#define ABng_Server_Manager_ProcessControl_IntfRepoID "IDL:ABng_Server_Manager/ProcessControl:1.0"

  class ProcessControl : public virtual omniObject, public virtual CORBA::Object {
  public:

    virtual void kill_server (  ) = 0;
    virtual CORBA::Long  get_pid (  ) = 0;
    virtual char *  get_host_name (  ) = 0;
    virtual char *  get_process_owner (  ) = 0;
    virtual CORBA::Long  uptime (  ) = 0;
    virtual char *  get_server_status (  ) = 0;
    static ProcessControl_ptr _duplicate(ProcessControl_ptr);
    static ProcessControl_ptr _narrow(CORBA::Object_ptr);
    static ProcessControl_ptr _nil();

    static inline size_t NP_alignedSize(ProcessControl_ptr obj,size_t initialoffset) {
      return CORBA::AlignedObjRef(obj,ABng_Server_Manager_ProcessControl_IntfRepoID,43,initialoffset);
    }

    static inline void marshalObjRef(ProcessControl_ptr obj,NetBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_ProcessControl_IntfRepoID,43,s);
    }

    static inline ProcessControl_ptr unmarshalObjRef(NetBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_ProcessControl_IntfRepoID,s);
      ProcessControl_ptr _result = ABng_Server_Manager::ProcessControl::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static inline void marshalObjRef(ProcessControl_ptr obj,MemBufferedStream &s) {
      CORBA::MarshalObjRef(obj,ABng_Server_Manager_ProcessControl_IntfRepoID,43,s);
    }

    static inline ProcessControl_ptr unmarshalObjRef(MemBufferedStream &s) {
      CORBA::Object_ptr _obj = CORBA::UnMarshalObjRef(ABng_Server_Manager_ProcessControl_IntfRepoID,s);
      ProcessControl_ptr _result = ABng_Server_Manager::ProcessControl::_narrow(_obj);
      CORBA::release(_obj);
      return _result;
    }

    static CORBA::Boolean _0RL_is_a(const char *base_repoId);

  protected:

    ProcessControl() {
      if (!is_proxy())
        omniObject::PR_IRRepositoryId(ABng_Server_Manager_ProcessControl_IntfRepoID);
      this->PR_setobj(this);
    }
    virtual ~ProcessControl() {}
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id=0);

  private:

    ProcessControl(const ProcessControl&);
    ProcessControl &operator=(const ProcessControl&);
  };

  class _sk_ProcessControl :  public virtual ProcessControl {
  public:

    _sk_ProcessControl() {}
    _sk_ProcessControl(const omniORB::objectKey& k);
    virtual ~_sk_ProcessControl() {}
    ProcessControl_ptr _this() { return ProcessControl::_duplicate(this); }
    void _obj_is_ready(CORBA::BOA_ptr boa) { boa->obj_is_ready(this); }
    CORBA::BOA_ptr _boa() { return CORBA::BOA::getBOA(); }
    void _dispose() { _boa()->dispose(this); }
    omniORB::objectKey _key();
    virtual void kill_server (  ) = 0;
    virtual CORBA::Long  get_pid (  ) = 0;
    virtual char *  get_host_name (  ) = 0;
    virtual char *  get_process_owner (  ) = 0;
    virtual CORBA::Long  uptime (  ) = 0;
    virtual char *  get_server_status (  ) = 0;
    virtual CORBA::Boolean dispatch(GIOP_S &s,const char *op,CORBA::Boolean response);

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return ProcessControl::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  private:
    _sk_ProcessControl (const _sk_ProcessControl&);
    _sk_ProcessControl &operator=(const _sk_ProcessControl&);
  };

  class _proxy_ProcessControl :  public virtual ProcessControl {
  public:

    _proxy_ProcessControl (Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release) :
      omniObject(ABng_Server_Manager_ProcessControl_IntfRepoID,r,key,keysize,profiles,release) {
        omni::objectIsReady(this);
    }
    virtual ~_proxy_ProcessControl() {}
    virtual void kill_server (  );
    virtual CORBA::Long  get_pid (  );
    virtual char *  get_host_name (  );
    virtual char *  get_process_owner (  );
    virtual CORBA::Long  uptime (  );
    virtual char *  get_server_status (  );

  protected:

    _proxy_ProcessControl () {}

    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type) {
      return ProcessControl::_widenFromTheMostDerivedIntf(repoId,is_cxx_type);
    }
  private:

    _proxy_ProcessControl (const _proxy_ProcessControl&);
    _proxy_ProcessControl &operator=(const _proxy_ProcessControl&);
  };

  class _nil_ProcessControl :   public virtual ProcessControl {
  public:
    _nil_ProcessControl() : omniObject(omniObject::nilObjectManager()) { this->PR_setobj(0); }
    virtual ~_nil_ProcessControl() {}
    void kill_server (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      return;
#endif
    }

    CORBA::Long  get_pid (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Long _0RL_result = 0;
      return _0RL_result;
#endif
    }

    char *  get_host_name (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      char * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    char *  get_process_owner (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      char * _0RL_result = 0;
      return _0RL_result;
#endif
    }

    CORBA::Long  uptime (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      CORBA::Long _0RL_result = 0;
      return _0RL_result;
#endif
    }

    char *  get_server_status (  ){
      throw CORBA::BAD_OPERATION(0,CORBA::COMPLETED_NO);
#ifdef NEED_DUMMY_RETURN
      // never reach here! Dummy return to keep some compilers happy.
      char * _0RL_result = 0;
      return _0RL_result;
#endif
    }

  protected:
    virtual void *_widenFromTheMostDerivedIntf(const char *repoId,CORBA::Boolean is_cxx_type_id) {
      return ProcessControl::_widenFromTheMostDerivedIntf(repoId,is_cxx_type_id);
    }
  };

  class ProcessControl_proxyObjectFactory : public proxyObjectFactory {
  public:
    ProcessControl_proxyObjectFactory () {}
    virtual ~ProcessControl_proxyObjectFactory () {}
    virtual const char *irRepoId() const;
    virtual CORBA::Object_ptr newProxyObject(Rope *r,CORBA::Octet *key,size_t keysize,IOP::TaggedProfileList *profiles,CORBA::Boolean release);
    virtual CORBA::Boolean is_a(const char *base_repoId) const;
    static ProcessControl_ptr _nil() {
      if (!__nil_ProcessControl) {
        __nil_ProcessControl = new _nil_ProcessControl;
      }
      return __nil_ProcessControl;
    }
  private:
    static ProcessControl_ptr __nil_ProcessControl;
  };

  _CORBA_MODULE_VAR const CORBA::TypeCode_ptr _tc_ProcessControl;


_CORBA_MODULE_END


void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Server_Still_Active& _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Server_Still_Active* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Server_Still_Active*& _sp);


void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Unknown_Server_Name& _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Unknown_Server_Name* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Unknown_Server_Name*& _sp);


void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Invalid_Server_Name& _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Invalid_Server_Name* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Invalid_Server_Name*& _sp);


void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Invalid_Server_Reference& _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Invalid_Server_Reference* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Invalid_Server_Reference*& _sp);

#ifndef __04RL__IDL_SEQUENCE_string__
#define __04RL__IDL_SEQUENCE_string__

inline void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Name& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Server_Manager::_tc_Name->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Server_Manager::_tc_Name,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Name* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Server_Manager_Name_delete(void* _data) {
  ABng_Server_Manager::Name* _0RL_t = (ABng_Server_Manager::Name*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Name*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Server_Manager::_tc_Name,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Server_Manager::Name* _0RL_tmp = new ABng_Server_Manager::Name;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Server_Manager_Name_delete);
    }

    _sp = (ABng_Server_Manager::Name*) _0RL_data;
    return 1;
  }
}

#endif

#ifndef __04RL__IDL_SEQUENCE_CORBA_Octet__
#define __04RL__IDL_SEQUENCE_CORBA_Octet__

inline void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::ip_address& _s) {
  MemBufferedStream _0RL_mbuf;
  ABng_Server_Manager::_tc_ip_address->NP_fillInit(_0RL_mbuf);
  _s >>= _0RL_mbuf;
  _a.NP_replaceData(ABng_Server_Manager::_tc_ip_address,_0RL_mbuf);
}

inline void operator<<=(CORBA::Any& _a, ABng_Server_Manager::ip_address* _sp) {
  _a <<= *_sp;
  delete _sp;
}

inline void _03RL_ABng_Server_Manager_ip_address_delete(void* _data) {
  ABng_Server_Manager::ip_address* _0RL_t = (ABng_Server_Manager::ip_address*) _data;
  delete _0RL_t;
}

inline CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::ip_address*& _sp) {
  CORBA::TypeCode_var _0RL_any_tc = _a.type();
  if (!_0RL_any_tc->NP_expandEqual(ABng_Server_Manager::_tc_ip_address,1)) {
    _sp = 0;
    return 0;
  }
  else {
    void* _0RL_data = _a.NP_data();

    if (!_0RL_data) {
      MemBufferedStream _0RL_tmp_mbuf;
      _a.NP_getBuffer(_0RL_tmp_mbuf);
      ABng_Server_Manager::ip_address* _0RL_tmp = new ABng_Server_Manager::ip_address;
      *_0RL_tmp <<= _0RL_tmp_mbuf;
      _0RL_data = (void*) _0RL_tmp;
      _a.NP_holdData(_0RL_data,_03RL_ABng_Server_Manager_ip_address_delete);
    }

    _sp = (ABng_Server_Manager::ip_address*) _0RL_data;
    return 1;
  }
}

#endif


void operator<<=(CORBA::Any& _a, const ABng_Server_Manager::Time& _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Time* _sp);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Time*& _sp);


void operator<<=(CORBA::Any& _a, ABng_Server_Manager::TimeServer_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::TimeServer_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::TimeServer_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Register_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Register_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Register_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Register_Manager_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Register_Manager_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Register_Manager_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Callback_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::Callback_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::Callback_ptr& _s);


void operator<<=(CORBA::Any& _a, ABng_Server_Manager::ProcessControl_ptr _s);
void operator<<=(CORBA::Any& _a, ABng_Server_Manager::ProcessControl_ptr* _s);
CORBA::Boolean operator>>=(const CORBA::Any& _a, ABng_Server_Manager::ProcessControl_ptr& _s);


#undef _LC_attr

#endif // __abng_server_manager_hh__
